path: /build/build/stringio-dev-ruby-3.0.8+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/stringio -pv -t && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/stringio && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/stringio && \
    luet-portage --dir /pkgdir/stringio dev-ruby/stringio && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:316b32e11e7dd683afe38e88bb70e4d1555fab1b392147d1b724d78843c3203e
  package:
    name: stringio
    version: 3.0.8+1
    category: dev-ruby
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Pseudo `IO` class from/to `String`.
    uri:
    - https://github.com/ruby/stringio
    license: BSD-2
    buildtimestamp: 2024-11-10 09:59:13.579356303 +0000 UTC m=+58.163941585
    labels:
      BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/stringio
      kit: ruby-kit
      original.package.name: dev-ruby/stringio
      original.package.slot: "0"
      original.package.version: 3.0.8
    treedir: /build/packages
  package_dir: /pkgdir/stringio
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 514e9f0d71f708a32e96ce589fc044a6b4cc54ffa19036c564ae8a3aaab6e4f0
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/extensions/x86_64-linux/3.1.0/stringio-3.1.1/gem.build_complete
- usr/lib64/ruby/gems/3.1.0/extensions/x86_64-linux/3.1.0/stringio-3.1.1/stringio.so
- usr/lib64/ruby/gems/3.1.0/gems/stringio-3.1.1/lib/java/stringio.rb
- usr/lib64/ruby/gems/3.1.0/gems/stringio-3.1.1/lib/stringio.so
- usr/lib64/ruby/gems/3.1.0/specifications/stringio-3.1.1.gemspec
- usr/share/doc/stringio-3.1.1/README.md.bz2
- var/db/pkg/dev-ruby/stringio-3.1.1/BDEPEND
- var/db/pkg/dev-ruby/stringio-3.1.1/BUILD_TIME
- var/db/pkg/dev-ruby/stringio-3.1.1/CATEGORY
- var/db/pkg/dev-ruby/stringio-3.1.1/CBUILD
- var/db/pkg/dev-ruby/stringio-3.1.1/CFLAGS
- var/db/pkg/dev-ruby/stringio-3.1.1/CHOST
- var/db/pkg/dev-ruby/stringio-3.1.1/CONTENTS
- var/db/pkg/dev-ruby/stringio-3.1.1/COUNTER
- var/db/pkg/dev-ruby/stringio-3.1.1/CTARGET
- var/db/pkg/dev-ruby/stringio-3.1.1/CXX
- var/db/pkg/dev-ruby/stringio-3.1.1/CXXFLAGS
- var/db/pkg/dev-ruby/stringio-3.1.1/DEFINED_PHASES
- var/db/pkg/dev-ruby/stringio-3.1.1/DEPEND
- var/db/pkg/dev-ruby/stringio-3.1.1/DESCRIPTION
- var/db/pkg/dev-ruby/stringio-3.1.1/EAPI
- var/db/pkg/dev-ruby/stringio-3.1.1/FEATURES
- var/db/pkg/dev-ruby/stringio-3.1.1/HOMEPAGE
- var/db/pkg/dev-ruby/stringio-3.1.1/INHERITED
- var/db/pkg/dev-ruby/stringio-3.1.1/IUSE
- var/db/pkg/dev-ruby/stringio-3.1.1/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/stringio-3.1.1/KEYWORDS
- var/db/pkg/dev-ruby/stringio-3.1.1/LDFLAGS
- var/db/pkg/dev-ruby/stringio-3.1.1/LICENSE
- var/db/pkg/dev-ruby/stringio-3.1.1/NEEDED
- var/db/pkg/dev-ruby/stringio-3.1.1/NEEDED.ELF.2
- var/db/pkg/dev-ruby/stringio-3.1.1/PF
- var/db/pkg/dev-ruby/stringio-3.1.1/PROVIDES
- var/db/pkg/dev-ruby/stringio-3.1.1/RDEPEND
- var/db/pkg/dev-ruby/stringio-3.1.1/REQUIRES
- var/db/pkg/dev-ruby/stringio-3.1.1/RESTRICT
- var/db/pkg/dev-ruby/stringio-3.1.1/SIZE
- var/db/pkg/dev-ruby/stringio-3.1.1/SLOT
- var/db/pkg/dev-ruby/stringio-3.1.1/USE
- var/db/pkg/dev-ruby/stringio-3.1.1/environment.bz2
- var/db/pkg/dev-ruby/stringio-3.1.1/repository
- var/db/pkg/dev-ruby/stringio-3.1.1/stringio-3.1.1.ebuild
package_cacheimage: ""
runtime:
  name: stringio
  version: 3.0.8+1
  category: dev-ruby
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Pseudo `IO` class from/to `String`.
  uri:
  - https://github.com/ruby/stringio
  license: BSD-2
  labels:
    BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/stringio
    kit: ruby-kit
    original.package.name: dev-ruby/stringio
    original.package.slot: "0"
    original.package.version: 3.0.8
